%global gem_name actionpack
%bcond_with bootstrap

Name:		rubygem-%{gem_name}
Epoch:		1
Version:	6.1.4.1
Release: 	2
Summary: 	Web-flow and rendering framework putting the VC in MVC (part of Rails)
License: 	MIT
URL: 		http://rubyonrails.org
Source0: 	https://rubygems.org/gems/%{gem_name}-%{version}.gem
Source1: 	%{gem_name}-%{version}-tests.txz
Source2: 	rails-%{version}-tools.txz

# Let's keep Requires and BuildRequires sorted alphabeticaly
BuildRequires: 	ruby(release)
BuildRequires: 	rubygems-devel
BuildRequires: 	ruby >= 2.2.2
%if %{without bootstrap}
BuildRequires: 	rubygem(activemodel) = %{version}
BuildRequires: 	rubygem(activerecord) = %{version}
BuildRequires: 	rubygem(activesupport) = %{version}
BuildRequires: 	rubygem(actionview) = %{version}
BuildRequires: 	rubygem(railties) = %{version}
BuildRequires: 	rubygem(rack)
BuildRequires: 	rubygem(rack-cache)
BuildRequires: 	rubygem(rack-test)
BuildRequires: 	rubygem(puma)
BuildRequires: 	rubygem(capybara) >= 3.26
BuildRequires: 	rubygem(selenium-webdriver)
BuildRequires: 	rubygem(rexml)
%endif
BuildRequires:  rubygem(did_you_mean)
BuildArch: 	noarch

%description
Eases web-request routing, handling, and response as a half-way front,
half-way page controller. Implemented with specific emphasis on enabling easy
unit/integration testing that doesn't require a browser.

%package 	doc
Summary: 	Documentation for %{name}
Requires: 	%{name} = %{epoch}:%{version}-%{release}
BuildArch:	noarch

%description 	doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}%{?prerelease} -b1 -b2

%build
gem build ../%{gem_name}-%{version}%{?prerelease}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


%if %{without bootstrap}
%check
pushd .%{gem_instdir}
ln -s %{_builddir}/tools ..
cp -a %{_builddir}/test .
for tname in 'rendering a relative path with dot' 'rendering a relative path'; do
  sed -i "/^\s* test \"$tname\" do/ a \      skip" \
    test/controller/new_base/render_file_test.rb
done

find test -type f -name '*_test.rb' -print0 | \
  sort -z | \
  xargs -0 -n1 -i sh -c "echo '* Test file: {}'; ruby -Ilib:test -- '{}' || exit 255"

popd
%endif

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.rdoc

%changelog
* Thu Oct 20 2022 caodongxia <caodongxia@h-partners.com> - 1:6.1.4.1-2
- Fix compilation failed

* Tue May 03 2022 wangkerong <wangkerong@h-partners.com>- 6.1.4.1-1
- Upgrade to 6.1.4.1

* Mon Jun 28 2021 wangyue<wangyue92@huawei.com> - 5.2.4.4-3
- Fix CVE-2021-22904

* Fri Jun 11 2021 wangyue<wangyue92@huawei.com> - 5.2.4.4-2
- Fix CVE-2021-22885

* Mon Feb  8 2021 sunguoshuai<sunguoshuai@huawei.com>- 5.2.4.4-1
- Upgrade to 5.2.4.4

* Sat Aug 8 2020 chengzihan <chengzihan2@huawei.com> - 5.2.3-1
- Package init
